Bug 1304911 - OpenShift client download weird directory structure
OpenShift client download weird directory structure
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Troy Dawson
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 19:15 EST by Takayoshi Kimura
Modified: 2017-02-02 02:20 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-01 16:50:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Takayoshi Kimura 2016-02-04 19:15:19 EST
Description of problem:

OpenShift client download has weird directory structure.

https://access.redhat.com/downloads/content/290/ver=3.1/rhel---7/3.1.1.6/x86_64/product-software

$ tar tf oc-3.1.1.6-linux.tar.gz 
mnt/redhat/staging-cds/ose-clients-3.1.1.6/usr/share/atomic-openshift/linux/oc

$ tar tf oc-3.1.1.6-macosx.tar.gz 
mnt/redhat/staging-cds/ose-clients-3.1.1.6/usr/share/atomic-openshift/macosx/oc

$ unzip -l oc-3.1.1.6-windows.zip 
Archive:  oc-3.1.1.6-windows.zip
  Length      Date    Time    Name
---------  ---------- -----   ----
 38504448  01-26-2016 06:34   mnt/redhat/staging-cds/ose-clients-3.1.1.6/usr/share/atomic-openshift/windows/oc.exe
---------                     -------
 38504448                     1 file

Version-Release number of selected component (if applicable):

3.1.1

How reproducible:

Always

Steps to Reproduce:
1. Download OpenShift client
2. Open the downloaded archive
3.

Actual results:

See description part.

Expected results:

Previously it was something like "oc-31.0.4/oc" which was good. The current dir structure includes whole our internal build dir.

Additional info:
Comment 1 Juan Vallejo 2017-02-01 11:43:13 EST
@jwforres Should this be reassigned to someone in the release team?
Comment 2 Jessica Forrester 2017-02-01 16:38:40 EST
@tdawson can you work with RCM on that to see why the packaging structure changed?
Comment 3 Troy Dawson 2017-02-01 16:50:35 EST
This was a problem with early 3.1 client downloads and has already been fixed in later versions.

If you are using the OpenShift 3.1 client we recommend that you use the latest version, currently is 3.1.1.10, that has already been fixed.

https://access.redhat.com/downloads/content/290/ver=3.1/rhel---7/3.1.1.10/x86_64/product-software

Note You need to log in before you can comment on or make changes to this bug.